use utf8;

'' => {
	desc => 'normal gameplay',

	'b' => ["step left down",  'pm', 'numpad 1'],
	'j' => ["step down",       'pm', 'numpad 2'],
	'n' => ["step right down", 'pm', 'numpad 3'],
	'h' => ["step left",       'pm', 'numpad 4'],
	'l' => ["step right",      'pm', 'numpad 6'],
	'y' => ["step left up",    'pm', 'numpad 7'],
	'k' => ["step up",         'pm', 'numpad 8'],
	'u' => ["step right up",   'pm', 'numpad 9'],

	'B' => ["go left down",    'po', 'shift numpad 1'],
	'J' => ["go down",         'po', 'shift numpad 2'],
	'N' => ["go right down",   'po', 'shift numpad 3'],
	'H' => ["go left",         'po', 'shift numpad 4'],
	'L' => ["go right",        'po', 'shift numpad 6'],
	'Y' => ["go left up",      'po', 'shift numpad 7'],
	'K' => ["go up",           'po', 'shift numpad 8'],
	'U' => ["go right up",     'po', 'shift numpad 9'],

	'^b'=> ["run left down",   'po', 'numpad 5 1'],
	'^j'=> ["run down",        'po', 'numpad 5 2'],
	'^n'=> ["run right down",  'po', 'numpad 5 3'],
	'^h'=> ["run left",        'po', 'numpad 5 4'],
	'^l'=> ["run right",       'po', 'numpad 5 6'],
	'^y'=> ["run left up",     'po', 'numpad 5 7'],
	'^k'=> ["run up",          'po', 'numpad 5 8'],
	'^u'=> ["run right up",    'po', 'numpad 5 9'],

	'g' => ["run until interest", 'po argm'],
	'm' => ["move blind", 'po argm', 'no pickup'],
	'G' => ["g any$sign{_}where", 'po argm', "follow branches"],

	'?' => ["help menu", 'mv mode?'], #help
	'+?'=> ["more help", 'mv'],
	'/' => ["explain symbol", 'mi arg mode/'], #whatis
	'&' => ["explain comm$sign{_}and", 'mi arg'],
	'<' => ["climb up ladder", 'pm'], #up
	'>' => ["desc$sign{_}ent ladder", 'pm'], #down
	'.' => ["rest (noop)", 'pm'], #rest
	'_' => ["travel to", 'po argM'], #travel

	'+2'=> ["two$sign{_}weapon toggle", 'co'], #twoweapon
	'a' => ["apply tool", 'co argi'], #apply
	'A' => ["remove all armor", 'co'], #armor
	'^a'=> ["redo comm$sign{_}and", 'co', 'Again'], #again
	'+a'=> ["adjust inv$sign{_}ent$sign{_}ory", 'mi'], #adjust
	'c' => ["close door", 'co argm'], #close
	'C' => ["call monster", 'co arg'], #call
	'+c'=> ["chat", 'co arg'], #chat
	'd' => ["drop item", 'co argi'], #drop
	'D' => ["drop items", 'co arg modeD'], #Drop
	'^d'=> ["kick", 'co argm'], #kick
	'+d'=> ["dip", 'co argi'], #dip
	'e' => ["eat food", 'co argi'], #eat
	'E' => ["engrave", 'co argi'], #engrave
	'+e'=> ["weapon skills", 'co', 'Enhance'], #enhance
	'f' => ["fire quiver", 'co argm'], #fire
	'F' => ["fight monster", 'co argm'], #fight
	'+f'=> ["force lock", 'co'], #force
	'i' => ["invent$sign{_}ory", 'mo'], #invent
	'I' => ["invent$sign{_}ory part", 'mo arg modeI'], #Invent
	'+i'=> ["invoke object", 'co argi'], #invoke
	'+j'=> ["jump", 'co'], #jump
	'+l'=> ["loot", 'co'], #loot
	'+m'=> ["monster ability", 'co'], #monster
	'+n'=> ["name item$sign{_}(s)", 'mo arg'], #name
	'o' => ["open door", 'co argm'], #open
	'O' => ["options", 'mv modeO'], #options
	'+o'=> ["offer sacrifice", 'co argi'], #offer
	'p' => ["pay bill", 'co'], #pay
	'P' => ["put on", 'co argi'], #puton
	'^p'=> ["repeat message", 'mi'], #prevmsg
	'+p'=> ["pray", 'co arg'], #pray
	'q' => ["drink", 'co argi', 'Quaff'], #quaff
	'Q' => ["quiver ammo", 'co argi'], #quiver
	'+q'=> ["exit game", 'mi', 'Quit'], #quit
	'r' => ["read scroll", 'co argi'], #read
	'R' => ["put off", 'co argi', 'Remove accessory'], #remove
	'^r'=> ["redraw", 'mi'], #redraw
	'+r'=> ["rub object", 'co argi'], #rub
	's' => ["search secrets", 'co'], #search
	'S' => ["save game", 'mi'], #save
	'+s'=> ["sit down", 'co'], #sit
	't' => ["throw$sign{_}/shoot", 'co argm'], #throw
	'T' => ["remove armor", 'co argi'], #takeoff
	'^t'=> ["teleport", 'co'], #'port
	'+t'=> ["turn undead", 'co'], #turn
	'+u'=> ["untrap", 'co'], #untrap
	'v' => ["version", 'mi'],
	'V' => ["verbose version", 'mi'], #history
	'+v'=> ["compile details", 'mi'], #version
	'w' => ["wield weapon", 'co argi'], #wield
	'W' => ["wear armor", 'co argi'], #wear
	'+w'=> ["wipe face", 'co'], #wipe
	'x' => ["swap weapons", 'co', 'Xchange'], #xchange
	'X' => ["explore mode", 'mi'], #explore
	'^x'=> ["show stats", 'mi'], #show
	'z' => ["zap wand", 'co argm'], #zap
	'Z' => ["cast spell", 'co argi'], #Zap
	'^z'=> ["suspend game", 'mi'], #suspend

	':' => ["look here", 'mi'], #look
	';' => ["look else$sign{_}where", 'mi argM'], #farlook
	',' => ["pick up", 'co'], #pickup
	'@' => ["toggle pick$sign{_}up", 'mi'],
	'^' => ["show trap", 'mi argm'], #trap_id
	')' => ["show weapon", 'mo'],
	'[' => ["show armor", 'mo'],
	'=' => ["show rings", 'mo'],
	'"' => ["show amulet", 'mo'],
	'(' => ["show tools", 'mo'],
	'*' => ["show equipment", 'mo'],
	'$' => ["count gold", 'mi'], #gold
	'+' => ["list spells", 'mo'], #spells
	'\\'=> ["discover$sign{_}ed obj$sign{_}ects", 'mo'], #known
	'!' => ["shell escape", 'mi'], #sh
	'#' => ["more comm$sign{_}ands", 'mv'],
},

'D' => {
	'B' => ['drop blessed', 'co'],
	'U' => ['drop uncursed', 'co'],
	'C' => ['drop cursed', 'co'],
	'X' => ['drop unknown', 'co'],
	'a' => ['drop all', 'co'],
	'i' => ["invent$sign{_}ory", 'mi'],
	'u' => ['drop unpaid', 'co'],
	'm' => ['drop any', 'co argi'],
	'%' => ['drop more', 'co arg'],
},

'I' => {
	'*' => ['list gems', 'mi'],
	'u' => ['list unpaid', 'mi'],
	'x' => ['list billed', 'mi'],
	'$' => ['count money', 'mi'],
},

